Spigot UrlToBlock 1.0.9

Turn any image into a placeable block

  1. ericgolde555 updated UrlToBlock with a new update entry:

    Villager and hopper support, and new commands

    Read the rest of this update entry...
     
  2. for now it's 1.11.2 only. I am working on making it multi-version compatible like my other plugin CorpseReborn.
     
  3. Okay! Thank You :p
     
  4. My server is spigot 1.12.1.
    Could not load 'plugins/UrlToBlock.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.NoClassDefFoundError: net/minecraft/server/v1_11_R1/NBTBase
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:326) ~[spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:248) [spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    at org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:304) [spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:205) [spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_144]
    Caused by: java.lang.NoClassDefFoundError: net/minecraft/server/v1_11_R1/NBTBase
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_144]
    at java.lang.Class.forName(Class.java:348) ~[?:1.8.0_144]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    ... 6 more
    Caused by: java.lang.ClassNotFoundException: net.minecraft.server.v1_11_R1.NBTBase
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:91) ~[spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_144]
    at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_144]
    at java.lang.Class.forName0(Native Method) ~[?:1.8.0_144]
    at java.lang.Class.forName(Class.java:348) ~[?:1.8.0_144]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[spigot-1.12.1.jar:git-Spigot-65e8124-79e55b6]
    ... 6 more
     
  5. This plugin is only for 1.11.2
     
  6. Do you have any ETA for this plugin being updated to 1.12.2? I'd really really love to use this plugin on my server.
     
    • Funny Funny x 1
  7. I want to update this as well as update CorpseReborn but right now collage essays and homework eat up my time. Hopefully I am free this summer to make plenty of updates.
     
  8. i made a fixed version eric https://drive.google.com/open?id=1iuU0pjEfvpfjYrtLKH7zz8hDI6bNE7YI
    it works on 1.12 however your webserver is not responding correctly so it fails on adding blocks.
     
  9. Thanks. When I have time I will implement it. Would you mind either making a pull request on github, or PMing me the source code for it? I will give you credit for the fixing it for 1.12.
     
  10. done send to your pm
     
  11. Whenever I restart my server, the blocks revert back to their original name, rather than stay the names I gave them.
     
  12. Ill mark this as a bug on the bug tracker.
     
  13. Is it possible to add support for custom items?
     
  14. That's a good idea but I feel like it does not fit in with this plugin. Might make a new plugin to do that, just depends when I get around to updating and creating plugins again.
     
  15. Please add 1.8.9 support because its still very popular